{
  "schema_version": "1.4.0",
  "id": "GHSA-xpw2-c8vq-gfg3",
  "modified": "2022-05-03T03:13:07Z",
  "published": "2022-05-03T03:13:07Z",
  "aliases": [
    "CVE-2004-0599"
  ],
  "details": "Multiple integer overflows in the (1) png_read_png in pngread.c or (2) png_handle_sPLT functions in pngrutil.c or (3) progressive display image reading capability in libpng 1.2.5 and earlier allow remote attackers to cause a denial of service (application crash) via a malformed PNG image.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2004-0599"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.fedora.us/show_bug.cgi?id=1943"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/16896"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10938"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1479"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000856"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/mhonarc/security-announce/msg00056.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=109163866717909&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=109181639602978&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=109761239318458&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=109900315219363&w=2"
    },
    {
      "type": "WEB",
      "url": "http://scary.beasts.org/security/CESA-2004-001.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/22957"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/22958"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-200663-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2004/dsa-536"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2004/dsa-570"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2004/dsa-571"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200408-03.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200408-22.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/160448"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/286464"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/477512"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2004:079"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2006:212"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2006:213"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/projects/security/known-vulnerabilities.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2004_23_libpng.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2004-402.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2004-421.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2004-429.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/10857"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/15495"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.net/errata/2004/0040"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA04-217A.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2004-11-23T05:00:00Z"
  }
}